Arbor 3: FSM & BT Graph Editor 3.4.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleTransform Class Reference

参照方法が複数ある柔軟なTransform型を扱うクラス。 More...

Inheritance diagram for FlexibleTransform:

## Public Member Functions
| FlexibleTransform ()
| FlexibleTransformデフォルトコンストラクタ More...
| FlexibleTransform (Transform value)
| FlexibleTransformコンストラクタ More...
| FlexibleTransform (TransformParameterReference parameter)
| FlexibleTransformコンストラクタ More...
| FlexibleTransform (InputSlotTransform slot)
| FlexibleTransformコンストラクタ More...
FlexibleComponent | ToFlexibleComponent ()
| FlexibleComponentへ変換して返す。 More...
object | GetValueObject ()
| 値をobjectで返す。 More...

## Static Public Member Functions
static | operator Transform (FlexibleTransform flexible)
| FlexibleTransformをTransformにキャスト。 More...
static | operator FlexibleTransform (Transform value)
| TransformをFlexibleTransformにキャスト。 More...

## Properties
FlexibleType | type`[get]`
| Typeを返す More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
Transform | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なTransform型を扱うクラス。

## Constructor & Destructor Documentation

FlexibleTransform | ( |  | ) |

FlexibleTransformデフォルトコンストラクタ

FlexibleTransform | ( | Transform | value | ) |

FlexibleTransformコンストラクタ

Parameters

  value | 値

FlexibleTransform | ( | TransformParameterReference | parameter | ) |

FlexibleTransformコンストラクタ

Parameters

  parameter | パラメータ

FlexibleTransform | ( | InputSlotTransform | slot | ) |

FlexibleTransformコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

object GetValueObject | ( |  | ) |

値をobjectで返す。

Returns
  値のobject

Implements IFlexibleField.

static operator FlexibleTransform | ( | Transform | value | ) |
| explicit static

TransformをFlexibleTransformにキャスト。

Parameters

  value | Transform

static operator Transform | ( | FlexibleTransform | flexible | ) |
| explicit static

FlexibleTransformをTransformにキャスト。

Parameters

  flexible | FlexibleTransform

FlexibleComponent ToFlexibleComponent | ( |  | ) |

FlexibleComponentへ変換して返す。

Returns
  FlexibleComponent

## Property Documentation

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

FlexibleType type
| get

Typeを返す

Transform value
| get

値を返す